%global srcname stdnum

Name:           python-%{srcname}
Version:        1.20
Release:        %mkrel 1
Summary:        Python module to handle standardized numbers and codes
Group:          Development/Python
License:        LGPLv2+
URL:            https://arthurdejong.org/python-stdnum/
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

# needed for tests
BuildRequires:	locales
BuildRequires:  python3-nose


%description
Parse, validate and reformat standard numbers and codes. This library offers
functions for parsing, validating and reformatting standard numbers and codes
in various formats like personal IDs, VAT numbers, IBAN and more.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Parse, validate and reformat standard numbers and codes. This library offers
functions for parsing, validating and reformatting standard numbers and codes
in various formats like personal IDs, VAT numbers, IBAN and more.


%prep
%setup -q


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files stdnum

%check
LANG=C.UTF-8 nosetests-%{python3_version} -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc NEWS


%changelog
* Mon Apr 15 2024 papoteur <papoteur> 1.20-1.mga10
+ Revision: 2057800
- new version 1.20

* Sat Feb 17 2024 papoteur <papoteur> 1.19-2.mga10
+ Revision: 2042121
- rebuild for python 3.12
- rebuild for python 3.12
- new version 1.19

* Tue Dec 06 2022 papoteur <papoteur> 1.18-1.mga9
+ Revision: 1918631
- new 1.18

* Thu Mar 24 2022 umeabot <umeabot> 1.17-2.mga9
+ Revision: 1824916
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.17-1.mga9
+ Revision: 1782331
- version 1.17
- fix files list
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.14-2.mga9
+ Revision: 1732702
- Rebuild for python 3.9

* Fri Dec 18 2020 joequant <joequant> 1.14-1.mga8
+ Revision: 1660668
- update to 1.14

* Sun Feb 16 2020 umeabot <umeabot> 1.11-3.mga8
+ Revision: 1531831
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.11-2.mga8
+ Revision: 1441259
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 1.11-1.mga7
+ Revision: 1393892
- new version 1.11

* Thu Jan 10 2019 shlomif <shlomif> 1.10-1.mga7
+ Revision: 1354451
- New version

* Thu Sep 20 2018 umeabot <umeabot> 1.7-2.mga7
+ Revision: 1290270
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 joequant <joequant> 1.7-1.mga7
+ Revision: 1189741
- set Group
- imported package python-stdnum

